Loading...
Searching...
No Matches
osmo_bssgp_prim Struct Reference

`#include <gprs_bssgp.h>`

## Data Fields

struct osmo_prim_hdr | oph
uint16_t | nsei
uint16_t | bvci
uint32_t | tlli
struct tlv_parsed * | tp
struct gprs_ra_id * | ra_id
union { |
struct { |
uint8_t suspend_ref |
} resume |
struct bssgp_ran_information_pdu rim_pdu |
} | u |

## Field Documentation

## bvci

uint16_t osmo_bssgp_prim::bvci

Referenced by bssgp_rx_bvc_block(), bssgp_rx_bvc_reset(), bssgp_rx_bvc_unblock(), bssgp_rx_llc_disc(), bssgp_rx_resume(), bssgp_rx_rim(), bssgp_rx_status(), bssgp_rx_suspend(), and bssgp_rx_ul_ud().

## nsei

uint16_t osmo_bssgp_prim::nsei

Referenced by bssgp_rx_bvc_block(), bssgp_rx_bvc_reset(), bssgp_rx_bvc_unblock(), bssgp_rx_llc_disc(), bssgp_rx_resume(), bssgp_rx_rim(), bssgp_rx_status(), bssgp_rx_suspend(), and bssgp_rx_ul_ud().

## oph

struct osmo_prim_hdr osmo_bssgp_prim::oph

Referenced by bssgp_rx_bvc_block(), bssgp_rx_bvc_reset(), bssgp_rx_bvc_unblock(), bssgp_rx_llc_disc(), bssgp_rx_resume(), bssgp_rx_rim(), bssgp_rx_status(), bssgp_rx_suspend(), and bssgp_rx_ul_ud().

## ra_id

struct gprs_ra_id* osmo_bssgp_prim::ra_id

Referenced by bssgp_rx_bvc_reset(), bssgp_rx_resume(), and bssgp_rx_suspend().

## [struct]

struct { ... } osmo_bssgp_prim::resume

Referenced by bssgp_rx_resume().

## rim_pdu

struct bssgp_ran_information_pdu osmo_bssgp_prim::rim_pdu

Referenced by bssgp_rx_rim().

## suspend_ref

uint8_t osmo_bssgp_prim::suspend_ref

Referenced by bssgp_rx_resume().

## tlli

uint32_t osmo_bssgp_prim::tlli

Referenced by bssgp_rx_llc_disc(), bssgp_rx_resume(), bssgp_rx_suspend(), and bssgp_rx_ul_ud().

## tp

struct tlv_parsed* osmo_bssgp_prim::tp

Referenced by bssgp_rx_bvc_block(), bssgp_rx_bvc_reset(), bssgp_rx_bvc_unblock(), bssgp_rx_llc_disc(), bssgp_rx_rim(), bssgp_rx_status(), and bssgp_rx_ul_ud().

## [union]

union { ... } osmo_bssgp_prim::u

Referenced by bssgp_rx_resume(), and bssgp_rx_rim().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/gprs_bssgp.h